
        <app-page-header headerTitle="Permission">
          <div class="col-auto">
            <ng-select appendTo="body"
              [items]="roleList"
              bindValue="id"
              bindLabel="roleName"
              [ngClass]="'ng-select'"
              placeholder="Select Role"
              style="min-width: 250px;"
              (change)="changeRole($event)"
            >
            </ng-select>
          </div>
        </app-page-header>
    <div class="row">
      <div class="col"></div>

      <div class="col-12">
        <app-card>
          <div class="">
              <div class="permission-body">
                <div class="permission-list-header">
                  <div class="row">
                    <div class="col">Title</div>
                    <div class="col view">
                      View<br />
                      <div class="form-check form-check-inline">
                        <input
                          class="form-check-input"
                          type="checkbox"
                          value=""
                          id="flexCheckDefault"
                          [checked]="finalObj ? finalObj.viewAll : false"
                          (change)="allCheckboxClicked($event, 'view')"
                          [disabled]="finalObj ? finalObj.disabled : false"
                        />
                      </div>
                    </div>
                    <div class="col add">
                      Add<br />
                      <div class="form-check form-check-inline">
                        <input
                          class="form-check-input"
                          type="checkbox"
                          value=""
                          id="flexCheckDefault"
                          [checked]="finalObj ? finalObj.addAll : false"
                          (change)="allCheckboxClicked($event, 'add')"
                        />
                      </div>
                    </div>
                    <div class="col edit">
                      Edit<br />
                      <div class="form-check form-check-inline">
                        <input
                          class="form-check-input"
                          type="checkbox"
                          value=""
                          id="flexCheckDefault"
                          [checked]="finalObj ? finalObj.editAll : false"
                          (change)="allCheckboxClicked($event, 'edit')"
                        />
                      </div>
                    </div>
                    <div class="col delete">
                      Delete<br />
                      <div class="form-check form-check-inline">
                        <input
                          class="form-check-input"
                          type="checkbox"
                          value=""
                          id="flexCheckDefault"
                          [checked]="finalObj ? finalObj.deleteAll : false"
                          (change)="allCheckboxClicked($event, 'delete')"
                        />
                      </div>
                    </div>
                    <div class="col export">
                      Export<br />
                      <div class="form-check form-check-inline">
                        <input
                          class="form-check-input"
                          type="checkbox"
                          value=""
                          id="flexCheckDefault"
                          [checked]="finalObj ? finalObj.exportAll : false"
                          (change)="allCheckboxClicked($event, 'export')"
                        />
                      </div>
                    </div>
                    <div class="col multiAction">
                      Multi Action<br />
                      <div class="form-check form-check-inline">
                        <input
                          class="form-check-input"
                          type="checkbox"
                          value=""
                          id="flexCheckDefault"
                          [checked]="finalObj ? finalObj.multiActionAll : false"
                          (change)="allCheckboxClicked($event, 'multiAction')"
                        />
                      </div>
                    </div>
                  </div>
                </div>
                <div class="table-responsive-tree">
                  <ul class="tree-field permission-list">
                    <ng-container
                      *ngTemplateOutlet="recursiveListTmpl; context: { list: menuList }"
                    ></ng-container>
                  </ul>
                  <ng-template #recursiveListTmpl let-list="list">
                    <li *ngFor="let item of list; let i = index">
                      <div class="row">
                        <div class="col col-xs-12">
                          <!-- <div *ngIf="item.children.length" class="form-check form-check-inline">
                                      <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault">
                                  </div> -->
                          <span>{{ item.title }}</span>
                        </div>
                        <div class="col view" *ngIf="!item.children.length">
                          <div class="form-check form-check-inline">
                            <input
                              class="form-check-input"
                              type="checkbox"
                              value=""
                              id="flexCheckDefault"
                              [checked]="
                                item.permission
                                  ? item.permission['view']
                                    ? true
                                    : false
                                  : false
                              "
                              (change)="checkboxClicked($event, item, 'view')"

                            />

                            <!-- to dynamic disable view -->
                            <!-- [disabled]="
                            item.permission
                              ? item.permission['disabled']
                                ? true
                                : false
                              : false
                          " -->
                          </div>
                        </div>
                        <div class="col add" *ngIf="!item.children.length">
                          <div class="form-check form-check-inline">
                            <input
                              class="form-check-input"
                              type="checkbox"
                              value=""
                              id="flexCheckDefault"
                              [checked]="
                                item.permission
                                  ? item.permission['add']
                                    ? true
                                    : false
                                  : false
                              "
                              (change)="checkboxClicked($event, item, 'add')"
                            />
                          </div>
                        </div>
                        <div class="col edit" *ngIf="!item.children.length">
                          <div class="form-check form-check-inline">
                            <input
                              class="form-check-input"
                              type="checkbox"
                              value=""
                              id="flexCheckDefault"
                              [checked]="
                                item.permission
                                  ? item.permission['edit']
                                    ? true
                                    : false
                                  : false
                              "
                              (change)="checkboxClicked($event, item, 'edit')"
                            />
                          </div>
                        </div>
                        <div class="col delete" *ngIf="!item.children.length">
                          <div class="form-check form-check-inline">
                            <input
                              class="form-check-input"
                              type="checkbox"
                              value=""
                              id="flexCheckDefault"
                              [checked]="
                                item.permission
                                  ? item.permission['delete']
                                    ? true
                                    : false
                                  : false
                              "
                              (change)="checkboxClicked($event, item, 'delete')"
                            />
                          </div>
                        </div>
                        <div class="col export" *ngIf="!item.children.length">
                          <div class="form-check form-check-inline">
                            <input
                              class="form-check-input"
                              type="checkbox"
                              value=""
                              id="flexCheckDefault"
                              [checked]="
                                item.permission
                                  ? item.permission['export']
                                    ? true
                                    : false
                                  : false
                              "
                              (change)="checkboxClicked($event, item, 'export')"
                            />
                          </div>
                        </div>
                        <div class="col multiAction" *ngIf="!item.children.length">
                          <div class="form-check form-check-inline">
                            <input
                              class="form-check-input"
                              type="checkbox"
                              value=""
                              id="flexCheckDefault"
                              [checked]="
                                item.permission
                                  ? item.permission['multiAction']
                                    ? true
                                    : false
                                  : false
                              "
                              (change)="checkboxClicked($event, item, 'multiAction')"
                            />
                          </div>
                        </div>
                      </div>
                      <ul *ngIf="item.children.length">
                        <ng-container
                          *ngTemplateOutlet="
                            recursiveListTmpl;
                            context: { list: item.children }
                          "
                        >
                        </ng-container>
                      </ul>
                    </li>
                  </ng-template>
                </div>
              </div>
            </div>
          </app-card>
      </div>
      <div class="col-12 text-end ">
          <app-button class="mt-1" type="submit" text="Save" (onClick)="onSubmit()"> </app-button>
      </div>
    </div>
